Pulp - Story #3396

Build a plugin writer's Docker image and publish it on Docker Hub on a Pulp account
02/26/2018 10:54 PM - mansari

Status: CLOSED - WONTFIX Start date:

Priority: Low Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour
Sprint/Milestone:

Platform Release: Tags:

Groomed: No Sprint:

Sprint Candidate: No Quarter:

Description

Docker Hub is a cloud-based registry service which allows you to store manually pushed Docker images. This task is to have the
ability to build a Docker image that has the following:

1. Built on a clean official Fedora F27 image.

2. A non-source checkout of pulpcore installed on it. This will be installed using the published playbooks on galaxy

3. Add a nice welcome screen with motd indicating that they should install a plugin, run its migrations, or consider making a plugin
with the Pulp dev guide.

Once done building the image, if it was built successfully, the build code will push the image to Docker Hub.

The user account name on docker hub should be 'pulp' and the name of this image should be 'pulpcore’. This task includes
registering the account on Docker Hub and responsibly storing the credentials.

This image should be compatible with Vagrant needs so that it can work in congruence with our custom Vagrantfile

History

#1 - 05/14/2018 06:49 PM - dkliban@redhat.com
- Parent task deleted (#2908)

#2 - 04/26/2019 10:36 PM - bmbouter
- Tags deleted (Pulp 3)

#3 - 08/31/2020 04:35 PM - daviddavis
- Status changed from NEW to CLOSED - WONTFIX
https://hub.docker.com/
https://github.com/pulp/devel/blob/3.0-dev/Vagrantfile.example
http://www.tcpdf.org

